/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   IBM XL Fortran Advanced Edition V10.1 for Linux (5724-M17)       */
/*   Copyright IBM Corp. 2003, 2006.                                  */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#define TRUE  1
#define FALSE 0

typedef unsigned int BOOLEAN;
typedef int          Int32;
typedef short        Int16;
typedef char         Int8;


void cfunc1 (Int32 *ivar1, Int16 ivar2, Int8 *ivar3, Int32 ivar4)
{
  if (*ivar1 != 1 || ivar2 != 2 || *ivar3 != 3 || ivar4 != 4)
     exit (1);
}


void cfunc2 (double *rvar1, double rvar2, double *rvar3, double rvar4)
{
  if (*rvar1 != 1.0 || rvar2 != 2.0 || *rvar3 != 3.0 || rvar4 != 4.0)
     exit (2);
}


void cfunc3 (double rvar1, double rvar2, double rvar3, double rvar4)
{
  if (rvar1 != 1.0 || rvar2 != 2.0 || rvar3 != 5.0 || rvar4 != 6.0 )
     exit (3);
}

 
void cfunc4 (BOOLEAN *lvar1, BOOLEAN lvar2, BOOLEAN *lvar3, BOOLEAN lvar4)
{
  if (*lvar1 != TRUE || lvar2 != FALSE || *lvar3 != FALSE || lvar4 != TRUE)
     exit (4);
}

 
void cfunc5 (char chvar1, char *chvar2, char chvar3)
{
  if (chvar1 != 'a' || *chvar2 != 'b' || chvar3 != 'c')
     exit (5);
}
